CXXFLAGS = -I../../include -L../../lib/Linux/Intel -D_NOEXPORTDLL -DCAPI_NO_EXPORTS -g
LIBS = -lvpnapi -lxml2 -lz -lcommoncrypt -lcommon -laccurl -lacciscossl -lacciscocrypto -lpthread
LDFLAGS=-g

all: libvpncapi driver

#compile cpp files
%o:%.c
	@echo compiling $<
	g++ ${CXXFLAGS} ${LDFLAGS} -c $<

libvpncapi: PrivateApi.o vpncapi.o
	g++ ${LDFLAGS} ${CXXFLAGS} PrivateApi.o vpncapi.o -fPIC -shared -o libvpncapi.so ${LIBS}

clean:
	rm -f *.so *.o